org.springframework.data.relational.core.sql

## Class IdentifierProcessing.Quoting

- java.lang.Object
- - org.springframework.data.relational.core.sql.IdentifierProcessing.Quoting

Enclosing interface:
  IdentifierProcessing

    public static class IdentifierProcessing.Quoting
    extends Object

A conversion from unquoted identifiers to quoted identifiers.

Since:
  2.0
Author:
  Jens Schauder

### Field Summary

Fields
`static IdentifierProcessing.Quoting` `ANSI`
`static IdentifierProcessing.Quoting` `NONE`

### Constructor Summary

Constructors
Constructor and Description
`Quoting(String quoteCharacter)` Constructs a Quoting with the same String appended in front and end of an identifier.
`Quoting(String prefix, String suffix)` Constructs a Quoting with potential different prefix and suffix used for quoting.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `apply(String identifier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ANSI

    public static final IdentifierProcessing.Quoting ANSI

#### NONE

    public static final IdentifierProcessing.Quoting NONE

### Constructor Detail

#### Quoting

    public Quoting(String prefix,
                   String suffix)

Constructs a Quoting with potential different prefix and suffix used for quoting.

Parameters:
  `prefix` - a String prefixed before the name for quoting it.
  `suffix` - a String suffixed at the end of the name for quoting it.

#### Quoting

    public Quoting(String quoteCharacter)

Constructs a Quoting with the same String appended in front and end of an identifier.

Parameters:
  `quoteCharacter` - the value appended at the beginning and the end of a name in order to quote it.

### Method Detail

#### apply

    public String apply(String identifier)